Bug 730598 - [Arrandale] External monitor blank on resume from suspend
Summary: [Arrandale] External monitor blank on resume from suspend
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:lockup]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 23:54 UTC by Ben Caradoc-Davies
Modified: 2011-11-18 23:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-18 23:49:41 UTC


Attachments (Terms of Use)
Xorg.0.log after resume and VT switch workaround (59.92 KB, text/plain)
2011-08-14 23:55 UTC, Ben Caradoc-Davies
no flags Details
dmesg after resume and VT switch workaround (66.30 KB, text/plain)
2011-08-14 23:56 UTC, Ben Caradoc-Davies
no flags Details
xrandr (same before and after resume+VT-switch) (954 bytes, text/plain)
2011-08-14 23:57 UTC, Ben Caradoc-Davies
no flags Details

Description Ben Caradoc-Davies 2011-08-14 23:54:06 UTC
Description of problem:

External monitor connected to a lap via HDMI remains blank when resuming from suspend. (Laptop screen is off.)

Version-Release number of selected component (if applicable):
kernel-2.6.40-4.fc15.x86_64
xorg-x11-drv-intel-2.15.0-5.fc15.x86_64
dbus-x11-1.4.6-5.fc15.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Configure displays to have laptop monitor off and external monitor on.
2. Press power button to suspend.
3. Press power button to resume.
  
Actual results:

External monitor is on but blank. Laptop monitor is off.

Expected results:

External monitor is on displaying gnome-screensaver password prompt.

Additional info:

This is a regression. This bug did not occur in kernel-2.6.38.8-35.fc15.x86_64. Note that a dbus upgrade occurred at the same time.

The laptop is an Acer ultraportable with Intel i3 with Ironlake integrated graphics.

Workaround: Pressing Ctrl-Alt-F2 to select a virtual terminal wakes the monitor and displays the expected VT prompt. Pressing Alt-F1 to switch back to X causes the gnome-screensaver password prompt to be displayed as expected.

Comment 1 Ben Caradoc-Davies 2011-08-14 23:55:00 UTC
Created attachment 518207 [details]
Xorg.0.log after resume and VT switch workaround

Comment 2 Ben Caradoc-Davies 2011-08-14 23:56:21 UTC
Created attachment 518208 [details]
dmesg after resume and VT switch workaround

Comment 3 Ben Caradoc-Davies 2011-08-14 23:57:00 UTC
Created attachment 518209 [details]
xrandr (same before and after resume+VT-switch)

Comment 4 Ben Caradoc-Davies 2011-08-15 00:03:03 UTC
I also notice that it is possible to unlock the screen blind by typing the user password. The screen remains blank, and it is still necessary to use the VT switch trick (Ctrl-Alt-F2 then Alt-F1) to unblank the screen.

Comment 5 Ben Caradoc-Davies 2011-11-18 23:49:41 UTC
Fixed in kernel-2.6.41.1-1.fc15.x86_64. Thanks!


Note You need to log in before you can comment on or make changes to this bug.